Subject: Re: bug#30929: 26.0.91; Text drag and drop does not work

From: Alan Third <[email-masked]>
Date: Sat, 05 Jan 2019 10:27:24 +0000

Nick Helm <[email-masked]> writes:

> On Fri, 27 Apr 2018 at 08:44:42 +1200, Alan Third wrote:
>
>> On Thu, Apr 26, 2018 at 11:16:32AM +1200, Nick Helm wrote:
>>> 
>>> My main problem is the bewildering number of different data types that
>>> have be to handled, in particular casting every possibility from 
>>> ObjC -> C -> Lisp and interpreting them at the end.
>>
>> When we pass the data to lisp we *always* want it in plain
>> text, so if it’s a file then the filepath, a URL is plaintext anyway,
>> as is text.
>>
>> Anything else we can ignore or reject.
>
> OK, this is helpful. I was thinking we'd need to handle all the uniform
> type identifiers. For example, yes a NSURLPboardType is always text but
> it might conform to public.text, public.plain-text,
> public.utf8-plain-text, public.url, public.file-url, etc. But I guess
> Emacs couldn't care less about all that. The current code simply
> converts to a UTF8 string and sends it on, so I'll do that too.

Hi Nick, did you make any progress on the drag and drop stuff?
-- 
Alan Third